Loading...
Searching...
No Matches
CodeGen_OpenCL_Dev.h File Reference

Defines the code-generator for producing OpenCL C kernel code. More...

`#include <memory>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::unique_ptr< CodeGen_GPU_Dev > | Halide::Internal::new_CodeGen_OpenCL_Dev (const Target &target)

## Detailed Description

Defines the code-generator for producing OpenCL C kernel code.

Definition in file CodeGen_OpenCL_Dev.h.